Bug 123254 - Keyboard layout switch key switches from prim to sec, but not back
Keyboard layout switch key switches from prim to sec, but not back
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-14 16:31 EDT by Michael Smolsky
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-20 10:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Smolsky 2004-05-14 16:31:08 EDT
Description of problem:

Keyboard key combination, which is supposed to switch keyboard layouts
does switch them, but only "one way". Suppose, 2 layouts are
configured, and a key to switch between them is chosen in Control
Center -- keyboard shortcuts. Suppose the primary layout is active.
Then hitting the key once switches the keyboard to the secondary
layout (as expected). Hitting the key once more doesn't switch the
keyboard back to the primary layout (contrary to expectation and
behavior in RedHat 8.0)

Version-Release number of selected component (if applicable):

kdebase v 3.1.4 release 6

How reproducible:

See description

Steps to Reproduce:
1. Start control center
2. Choose keyboard layout
3. Select any secondary layout (reproduced with 'ru')
4. Choose Keyboard Shortcuts
5. Choose a shortcut for Keyboard/Switch to Next Keyboard Layout
(reproduced with Alt-Ctrl-K)
6. Close control center (after accepting changes)
7. Try the key, see failure to switch
Actual results:

The keyboard layouts do not form a ring, but rather a list, as far as
switching between them is concerned. No switch from last layout to the
first one

Expected results:

Switching from last layout to the first should be possible using the
same key,  as for switching from first to second.

Additional info:
Comment 1 Doncho N. Gunchev 2004-05-24 17:38:41 EDT
With bulgarian to workaround this I defined alternative switch key.
The problem is that Alt-<en_key> becomes Alt-<bg_key> when switching
to Bulgarian input, so I hat to add the Alt-<Bulgarian key> as
alternative key... With Fedora core (even updated today) I have no
keyboard layouts at all, so I can't select any.
Comment 2 Doncho N. Gunchev 2004-07-19 16:08:16 EDT
The problem with the keyboard layouts is fixed long long ago, but the
native kde keyboard switcher still requires two keys like
Alt-<en_letter> and Alt-<bg_letter>. Now I use
http://kkbswitch.sf.net/ and do configure my keyboard lauouts from
XFree86/Xorg's config. Maybe kkbswitch is a good addition (nice flags...)?
Comment 3 Ngo Than 2004-07-20 10:27:21 EDT
This problem seems to be fixed in new upstream (3.2.3). It works fine
for me.

Note You need to log in before you can comment on or make changes to this bug.